{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-products/namirialonboarding/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"Cancel a Request","description":"Integration and usage documentation.","llmstxt":{"hide":false,"sections":[{"title":"Table of contents","includeFiles":["**/*"],"excludeFiles":[]}],"excludeFiles":[]}},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"cancel-a-request","__idx":0},"children":["Cancel a Request"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This API call allows the integrator to cancel an onboarding request. The request can be cancelled from any state, as long as it is not already in a terminal state."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Once cancelled, the request will transition to the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["cancelled"]}," status and will follow the standard anonymization process. This operation is not reversible."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"endpoint","__idx":1},"children":["Endpoint"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["URL:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/request/{id}/userCancel"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Method:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST"]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"headers","__idx":2},"children":["Headers"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Ensure you include the following headers in your request:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Content-Type: application/json"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["X-Api-Key: YOUR_API_KEY"]}," (replace ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["YOUR_API_KEY"]}," with your actual API key)"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"path-parameters","__idx":3},"children":["Path parameters"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}," (required): The unique identifier of the request you want to cancel. This should be included in the URL path. Example: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["123e4567-e89b-12d3-a456-426614174000"]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"body-parameters","__idx":4},"children":["Body parameters"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["reason"]}," (optional): A text message describing the reason for the cancellation."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"example-curl-api-call","__idx":5},"children":["Example cURL API call"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"curl -X POST \"https://test-eu-ie1-api.namirialonboarding.com/api/v2/request/YOUR_REQUEST_ID/userCancel\" \\\n-H \"X-Api-Key: YOUR_API_KEY\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\"reason\": \"cancellation reason\"}'\n"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Replace ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["YOUR_API_KEY"]}," with your actual API key and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["YOUR_REQUEST_ID"]}," with the ID of the request."]}]},"headings":[{"value":"Cancel a Request","id":"cancel-a-request","depth":1},{"value":"Endpoint","id":"endpoint","depth":2},{"value":"Headers","id":"headers","depth":2},{"value":"Path parameters","id":"path-parameters","depth":2},{"value":"Body parameters","id":"body-parameters","depth":2},{"value":"Example cURL API call","id":"example-curl-api-call","depth":2}],"frontmatter":{"seo":{"title":"Cancel a Request"}},"lastModified":"2026-03-17T17:38:45.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/products/namirialonboarding/namirial-onboarding-knowledge-center/03-developer-documentation/02-api-reference/01-requests-management/cancellation","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}